%define module_name sensors
%define tar_name PySensors

Name:           python-%{module_name}
Version:        0.0.2
Release:        %mkrel 1.hg0cf96f4e2cfe.5
Group:          Development/Python
Summary:        Python bindings for libsensors.so

License:        LGPLv3
URL:            https://bitbucket.org/gleb_zhulik/py3sensors
# Not on Pypi, we need snapshots.  Instructions below:
# wget https://bitbucket.org/gleb_zhulik/py3sensors/get/tip.tar.gz
# cd gleb_zhulik-py3sensors-0cf96f4e2cfe/
# python setup.py sdist
# The tarball is in dist/PySensors-VERSION.tar.gz
Source0:        %{tar_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  lm_sensors-devel

%description
Python bindings for libsensors.so from the lm-sensors project via ctypes. 
Supported only 4 API version.

%package -n     python3-%{module_name}
Group:          Development/Python
Summary:        Python3 bindings for libsensors.so
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{module_name}
Python bindings for libsensors.so from the lm-sensors project via ctypes. 
Supported only 4 API version.


%prep
%setup -q -n %{tar_name}-%{version}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst
%{python_sitelib}/%{module_name}/
%{python_sitelib}/%{tar_name}-%{version}-py?.?.egg-info


%files -n python3-%{module_name}
%doc README.rst
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{tar_name}-%{version}-py?.?.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.0.2-1.hg0cf96f4e2cfe.5.mga6
+ Revision: 970560
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 0.0.2-1.hg0cf96f4e2cfe.4.mga6
+ Revision: 887128
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-1.hg0cf96f4e2cfe.3.mga5
+ Revision: 742902
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.2-1.hg0cf96f4e2cfe.2.mga5
+ Revision: 729754
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-0.hg0cf96f4e2cfe.2.mga5
+ Revision: 688323
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 philippem <philippem> 0.0.2-0.hg0cf96f4e2cfe.1.mga5
+ Revision: 638172
- imported package python-sensors

